'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Track = require('./Track');

var _Track2 = _interopRequireDefault(_Track);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TrackList = _react2.default.createClass({
  displayName: 'TrackList',

  getDefaultProps: function getDefaultProps() {
    return {
      tracks: [],
      updateTrackPlayingStatus: undefined
    };
  },
  propTypes: {
    tracks: _react2.default.PropTypes.array,
    updateTrackPlayingStatus: _react2.default.PropTypes.func
  },
  trackChangedStatus: function trackChangedStatus(isPlaying, audioTrack, spotifyTrack) {
    this.props.updateTrackPlayingStatus(isPlaying, audioTrack, spotifyTrack);
  },
  render: function render() {
    var that = this;
    var trackNodesData = this.props.tracks.map(function (track, index) {
      return _react2.default.createElement(_Track2.default, {
        key: index,
        onPlayingStatusChange: that.trackChangedStatus,
        tooltip: that.props.previewWarningText,
        track: track
      });
    });
    return _react2.default.createElement(
      'div',
      { className: 'list-group' },
      trackNodesData
    );
  }
});
module.exports = TrackList;